## font-hosny-amiri 0.003

=== Makefile ===
.PHONY: clean

VERSION=0.003

src=sources
build=./tools/build.py

dist_doc=README README.ar OFL.txt OFL-FAQ.txt NEWS NEWS.ar

all:
	@$(MAKE) -C $(src)

dist: all
	@echo "Making dist tarball"
	@mkdir -p amiri-$(VERSION)/{$(src),web,tools}
	@cp -r $(src)/*.sfdir amiri-$(VERSION)/$(src)
	@cp Makefile amiri-$(VERSION)
	@cp $(src)/Makefile amiri-$(VERSION)/$(src)
	@cp $(dist_doc) amiri-$(VERSION)
	@cp $(build) amiri-$(VERSION)/tools
	@cp $(src)/*.ttf amiri-$(VERSION)
	@cp $(src)/*.{woff,eot,css} amiri-$(VERSION)/web
	@tar cfj amiri-$(VERSION).tar.bz2 amiri-$(VERSION)

clean:
	@$(MAKE) -C $(src) clean
	@rm -rf *.tar.bz2 amiri-$(VERSION)

=== sources/Makefile ===
.PHONY: all clean ttf web
#.SUFFIXES: $(SUFFIXES) .sfdir .ttf .otf

FF=python ../tools/build.py
MKEOT=ttf2eot

SFDS=amiri-regular.sfdir
TTFS=$(SFDS:.sfdir=.ttf)
WOFF=$(SFDS:.sfdir=.woff)
EOTS=$(SFDS:.sfdir=.eot)
CSSS=amiri.css

all: ttf web

ttf: $(TTFS)
web: $(WOFF) $(EOTS) amiri.css

%.ttf : %.sfdir
	@echo "Generating $@"
	@$(FF) $< $@

%.woff : %.sfdir
	@echo "Generating $@"
	@$(FF) $< $@

%.eot : %.ttf
	@echo "Generating $@"
	@$(MKEOT) $< > $@

amiri.css: $(SFDS)
	@echo "Generating $@"
	@$(FF) $^ $@


clean:
	@rm -rf $(TTFS) $(WOFF) $(EOTS) $(CSSS)

=== debian/changelog ===
font-hosny-amiri (0.003-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Clarify that the font is an Arabic font in the description, also mention
      that it does not contain Latin characters. (Closes: #602675)
    + Change section to fonts. (Closes: #602717)
  * Added debian/docs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 08 Nov 2010 12:41:33 +0200

font-hosny-amiri (0.001-1) unstable; urgency=low

  * Initial release (Closes: #597441)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 19 Sep 2010 22:45:50 +0300

=== debian/control ===
Source: font-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://amiri.sourceforge.net
Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/font-hosny-amiri/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-fonts/packages/font-hosny-amiri/trunk/

Package: font-hosny-amiri
Architecture: all
Depends: ${misc:Depends}
Description: Arabic Naskh style typographically oriented font
 Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
 printing and running text.
 .
 Amiri font is a revival of the beautiful typeface pioneered by Bulaq
 Press, also known as Amiria Press, hence the name.
 .
 The uniqueness  of this  typeface comes  from its  superb balance
 between the  beauty of  Naskh calligraphy  on the  one hand,  and the
 constraints  and requirements of elegant typography on the other.  Also,
 it is one of the  few metal typefaces that were used in  typesetting the
 Koran (as opposed to  the usual handwritten calligraphy), making it a
 good source for a typeface to be used in typesetting Koranic verses.
 .
 Amiri Font Project aims  at the revival  of the aesthetics and
 traditions of Arabic  typesetting (if partially), and  adapting it to
 the era of digital typesetting, in a publicly available form.
 .
 This font does not contain Latin characters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
override_dh_auto_build:
